import React from 'react'
import Community from "@/Components/Front/JoinCommunity/Community";
import { Button } from "react-bootstrap";
import MyAccordion from "@/Components/MyAccordion";
import CommunityAccordion from "@/Components/CommunityAccordion";
import { useForm } from "@inertiajs/react";
function CommunitySidebar({community,community_id,user_id,alreay_join_community,totalJoinedMember}) {

console.log(alreay_join_community);
  const {
    data: communityData,
    //setData: setCommunityData,
    post: communityPost,
  } = useForm({
    user_id: null,
    community_id: null,
    type: 0,
  });

  const handleSend = (type) => {
    communityData.user_id = user_id;
    communityData.community_id = community_id;
    
    if (communityData) {
      if(type == 0){
        communityPost(route("post.leaveCommunityGroup"));
      }
      
      if(type == 1){
        communityPost(route("post.joinCommunityGroup"));
      }
      
    }
  };

  return (
    <div className="flex sticky max-md:relative top-0 flex-col">
              <p className="pt-5 text-lg font-medium ">About</p>
              <p className="text-sm">
                {community.description}
              </p>
              <div className="flex flex-col mb-4">
                <Community name="3.4K+ Contributors" />
              </div>
              <div className="flex flex-col mt-5 mb-4">
                <Community name={totalJoinedMember} />
              </div>
              <div className="mt-5">
              
              
              { alreay_join_community ? <Button className="!w-full gradient-color" onClick={(e) => handleSend(0)} >Leave Community</Button> :  <Button className="!w-full gradient-color" onClick={(e) => handleSend(1)} >Join Now</Button>}  
             
                
              
              
              </div>
              <div className="mt-3">
                <p className="text-lg font-medium">Club rules</p>
                <p className="text-sm">
                  Club rules are enforced by the moderators. This helps to keep
                  the posts and discussions organized, ensure fair
                  participation, and keep clubs useful for everyone.
                </p>
              </div>
             <CommunityAccordion />
            </div>
  )
}

export default CommunitySidebar